/*
 * Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about CodeDroids ApS, please see the
 * company website: http://www.codedroids.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $LastChangedRevision: 117 $
 * $LastChangedDate: 2007-02-20 11:24:48 +0100 (Tue, 20 Feb 2007) $
 * 
 */

package com.codedroids.jam;

import org.w3c.dom.Node;

public interface JspAppNode {

	public static final String JAM_APP_TAG = "application";
	public static final String JAM_NAME_ATTR = "name";
	public static final String JAM_VERS_ATTR = "version";
	public static final String JAM_INIT_TAG = "initialState";
	public static final String JAM_PREFIX_TAG = "prefix";
	public static final String JAM_STATES_TAG = "states";
	public static final String JAM_STATE_TAG = "state";
	public static final String JAM_DISPLAY_TAG = "display";
	public static final String JAM_PROCESS_TAG = "process";
	public static final String JAM_TRANSITIONS_TAG = "transitions";
	public static final String JAM_GOTO_TAG = "goto";
	public static final String JAM_CALL_TAG = "call";
	public static final String JAM_RETURN_TAG = "return";
	public static final String JAM_CONDITION_TAG = "condition";
	public static final String JAM_NEXT_TAG = "nextState";
	public static final String JAM_TYPE_TAG = "type";
	
	public static final String JAM_DEFAULT_CONDITION = "default";
	public static final String JAM_DEFAULT_PREFIX = "jam:";
	
	public static final String JAM_GOTO_TYPE = "goto";
	public static final String JAM_CALL_TYPE = "call";
	public static final String JAM_RETURN_TYPE = "return";
	
	public static final String PP_INDENT = "    ";
	

	/**
	 * Returns a pretty printed XML representation of the node/class on which this
	 * method is invoked
	 * @return
	 */
	public String toXML(String indent);
	
	/**
	 * Parses a node, root must be the node representing the class on which this 
	 * method is invoked
	 * @param root
	 */
	public JspAppNode parseNode(Node root);

}
