/*
 * Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about CodeDroids ApS, please see the
 * company website: http://www.codedroids.com
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * $LastChangedRevision: 149 $
 * $LastChangedDate: 2007-03-11 16:44:46 +0100 (Sun, 11 Mar 2007) $
 * 
 */

package com.codedroids.oc.forms;

import org.opencms.file.CmsObject;
//import org.opencms.site.CmsSiteManager;
import org.opencms.workplace.CmsWorkplace;

import com.codedroids.forms.*;

public class OCDateSelectorInputFieldRender extends A_OCSeletorInputFieldRender {

	public OCDateSelectorInputFieldRender(CmsObject cms) {
		super(cms);
	}

	public String renderWidget(InputField f) {
		StringBuffer b = new StringBuffer();
		// formName, fieldName, curDoc, showSiteSelector, startSite
		//String formName = f.form().getIdent();
		String fieldName = f.getName();
		// curDoc is set by a reference to the document in javascript
		//boolean showSiteSelector = false;
		//String startSite = CmsSiteManager.getCurrentSite(cms).getSiteRoot();
		String pattern = "%Y-%m-%d %H:%M";		

		b.append("<img id=\"" + "trigger_" + fieldName + "\" src=\""+CmsWorkplace.getResourceUri("buttons/calendar.png")+"\" alt=\"Choose date\" border=\"0\">\n");
		b.append("<script type=\"text/javascript\">\n");
		b.append("<!--\n");
		b.append("Calendar.setup({\n");
		b.append("inputField:\"" + fieldName + "\",\n");
		b.append("ifFormat:\"" + pattern + "\",\n");
		b.append("button:\"" + "trigger_" + fieldName + "\",\n");
		b.append("align:\"Bl\",\n");
		b.append("singleClick:false,\n");
		b.append("weekNumbers:false,\n");
		b.append("mondayFirst:true,\n");
		b.append("showsTime:true,\n");
		b.append("timeFormat:\"24\"\n");
		b.append("});\n");
		b.append("//-->\n");
		b.append("</script>\n");

		return b.toString();
	}

}
